
#pragma once
#include "dxs_MMOGPlayer.h"

class Cdxs_MMOGDlg : public CDialog
{

struct network_message
{
	SHORT type;
	float vPos[3];
};
	
public:
	Cdxs_MMOGDlg(CWnd* pParent = NULL);	

	enum { IDD = IDD_DXS_MMOG_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	


protected:
	HICON m_hIcon;

	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
	DECLARE_EVENTSINK_MAP()

public:
		
	void dxs_callback_DXStudioPlayerReceive(LPCTSTR script);
	void dxs_callback_DXStudioplayerLoaded(BOOL success);
	void dxs_callback_DXStudioPlayerFrameUpdate(float seconds);

	void initNetwork();
	void disableNetwork();
	void exitNetwork();

	void processNetworkMessage(BYTE* msg);

	void FitPlayerWindowToSize(int iSizeX, int iSizeY);
	void UpdateMemoryStatistics(void);
	afx_msg void OnClose();
	
	CDxstudioplayer1 m_dxs;
};
