
#pragma once

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN		
#endif


#ifndef WINVER				
#define WINVER 0x0400		
#endif

#ifndef _WIN32_WINNT		
#define _WIN32_WINNT 0x0400		
#endif						

#ifndef _WIN32_WINDOWS		
#define _WIN32_WINDOWS 0x0410 
#endif

#ifndef _WIN32_IE			
#define _WIN32_IE 0x0400	
#endif

#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS	

#define _AFX_ALL_WARNINGS

#include <afxwin.h>         
#include <afxext.h>         
#include <afxdisp.h>        

#include <afxdtctl.h>		
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			
#endif 

#include <afxsock.h>		

// -----------------------------------------------------------------------
class iVector2
{
public:
	iVector2(void) {iX=0; iY=0;}
	iVector2(int x, int y) {iX=x; iY=y;}
	~iVector2(void) { }
	
	int iX;
	int iY;
};

class iVector3
{
public:
	iVector3(void) {iX=0; iY=0; iZ=0;}
	iVector3(int x, int y, int z) {iX=x; iY=y; iZ=z;}
	~iVector3(void) { }
	
	int iX;
	int iY;
	int iZ;
};

class fVector2
{
public:
	fVector2(void) {fX=0; fY=0;}
	fVector2(int x, int y) {fX=x; fY=y;}
	~fVector2(void) { }
	
	int fX;
	int fY;
};

class fVector3
{
public:
	fVector3(void) {fX=0; fY=0; fZ=0;}
	fVector3(int x, int y, int z) {fX=x; fY=y; fZ=z;}
	~fVector3(void) { }
	
	int fX;
	int fY;
	int fZ;
};
// -----------------------------------------------------------------------

#include <math.h>
#pragma comment (lib,"Winmm.lib")

#include <Psapi.h>
#pragma comment(lib,"Psapi.lib")

#include "./enet/enet.h"
#pragma comment(lib, "./enet/enet.lib")

#include "./dxs_MMOGGameData.h"
#include "./dxs_MMOGNetwork.h"

extern Cdxs_MMOGGameData gl_Data;
extern Cdxs_MMOGNetwork  gl_NetWork;