
#include "stdafx.h"
#include "dxs_MMOG.h"
#include "dxs_MMOGDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// That needs to be adapted to your path !!
#import "C:\Programme\Worldweaver\DX Studio\v3.0.29\bin\DXStudioPlayer.dll" no_namespace

// -----------------------------------------------------------------------
class CAboutDlg : public CDialog
// -----------------------------------------------------------------------
{
public:
	CAboutDlg();

	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    

protected:
	DECLARE_MESSAGE_MAP()
};

// -----------------------------------------------------------------------
CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
// -----------------------------------------------------------------------
{
}

// -----------------------------------------------------------------------
void CAboutDlg::DoDataExchange(CDataExchange* pDX)
// -----------------------------------------------------------------------
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// -----------------------------------------------------------------------
Cdxs_MMOGDlg::Cdxs_MMOGDlg(CWnd* pParent /*=NULL*/)
	: CDialog(Cdxs_MMOGDlg::IDD, pParent)
// -----------------------------------------------------------------------
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

// -----------------------------------------------------------------------
void Cdxs_MMOGDlg::DoDataExchange(CDataExchange* pDX)
// -----------------------------------------------------------------------
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_DXSTUDIOPLAYER1, m_dxs);
}

BEGIN_MESSAGE_MAP(Cdxs_MMOGDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_WM_CLOSE()
END_MESSAGE_MAP()

BEGIN_EVENTSINK_MAP(Cdxs_MMOGDlg, CDialog)
	ON_EVENT(Cdxs_MMOGDlg, IDC_DXSTUDIOPLAYER1, 1, dxs_callback_DXStudioPlayerReceive,     VTS_BSTR)
	ON_EVENT(Cdxs_MMOGDlg, IDC_DXSTUDIOPLAYER1, 2, dxs_callback_DXStudioplayerLoaded,      VTS_BOOL)
	ON_EVENT(Cdxs_MMOGDlg, IDC_DXSTUDIOPLAYER1, 3, dxs_callback_DXStudioPlayerFrameUpdate, VTS_R4)
END_EVENTSINK_MAP()


// -----------------------------------------------------------------------
BOOL Cdxs_MMOGDlg::OnInitDialog()
// -----------------------------------------------------------------------
{
	CDialog::OnInitDialog();

	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	SetIcon(m_hIcon, TRUE);			
	SetIcon(m_hIcon, FALSE);		

	gl_Data.m_sHostIP = "192.168.1.3"; // That needs to be adapted!
	gl_Data.m_iHostPort = 9621;

	return TRUE;  
}

// -----------------------------------------------------------------------
void Cdxs_MMOGDlg::OnSysCommand(UINT nID, LPARAM lParam)
// -----------------------------------------------------------------------
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// -----------------------------------------------------------------------
void Cdxs_MMOGDlg::OnPaint() 
// -----------------------------------------------------------------------
{
	if (IsIconic())
	{
		CPaintDC dc(this); 

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// -----------------------------------------------------------------------
HCURSOR Cdxs_MMOGDlg::OnQueryDragIcon()
// -----------------------------------------------------------------------
{
	return static_cast<HCURSOR>(m_hIcon);
}

// -----------------------------------------------------------------------------
void Cdxs_MMOGDlg::dxs_callback_DXStudioPlayerReceive(LPCTSTR script)
// -----------------------------------------------------------------------------
{
	
}

// -----------------------------------------------------------------------------
void Cdxs_MMOGDlg::dxs_callback_DXStudioplayerLoaded(BOOL success)
// -----------------------------------------------------------------------------
{
	if (success) 
	{
		OutputDebugString("Cdxs_MMOGDlg::dxs_callback_DXStudioplayerLoaded: OK\r\n");
		
		FitPlayerWindowToSize(800, 600);
		gl_Data.m_bPlayerLoaded = true;		
		initNetwork();
	}
	else
	{
		OutputDebugString("Cdxs_MMOGDlg::dxs_callback_DXStudioplayerLoaded: ERROR\r\n");
		gl_Data.m_bPlayerLoaded = false;
	}
}

// -----------------------------------------------------------------------------
void Cdxs_MMOGDlg::dxs_callback_DXStudioPlayerFrameUpdate(float seconds)
// -----------------------------------------------------------------------------
{
	UpdateMemoryStatistics();
}

// -----------------------------------------------------------------------------
void Cdxs_MMOGDlg::initNetwork(void)
// -----------------------------------------------------------------------------
{
	if (gl_NetWork.InitNetwork() && gl_NetWork.CreateLocalClient() && gl_NetWork.ConnectToHost())
	{
		m_dxs.Send("system.script.setConnectedSign(true);");
		gl_Data.m_bNetworkReady = true;
		
		BSTR dummy1 = SysAllocStringLen(NULL,100);
		m_dxs.GetPropertyAsString("gl_InstanceId",&dummy1);
		
		USES_CONVERSION;
		char* dummy2 = W2A(dummy1);
		SysFreeString(dummy1);
				
		gl_NetWork.SendInstanceID(dummy2);

		/* EXAMPLE
		BSTR bstr1 = SysAllocString( L"Hello"); // Create a BSTR
		USES_CONVERSION; // ATL conversion macros uses local vars - they are allocated here
		char* str1 = W2A( bstr1); // The new string are allocated on the stack
		SysFreeString( bstr1); // Remember to free the BSTR

		// ANSI to BSTR
		char* str2 = "Hello"; // Create a ANSI string
		USES_CONVERSION;
		BSTR bstr2 = A2BSTR( str2); // destination string is allocated using SysAllocString, remember to free
		*/
	}
	else
	{
		m_dxs.Send("system.script.setConnectedSign(false);");
		gl_Data.m_bNetworkReady = false;
	}
}

// -----------------------------------------------------------------------------
void Cdxs_MMOGDlg::disableNetwork(void)
// -----------------------------------------------------------------------------
{
	m_dxs.Send("system.script.setConnectedSign(false);");
	gl_Data.m_bNetworkReady = false;
}

// -----------------------------------------------------------------------------
void Cdxs_MMOGDlg::exitNetwork(void)
// -----------------------------------------------------------------------------
{
	gl_NetWork.ExitNetwork();
	gl_Data.m_bNetworkReady = false;
}

// Fit the Window's client area to a fixed pixel size
// -----------------------------------------------------------------------------
void Cdxs_MMOGDlg::FitPlayerWindowToSize(int iSizeX, int iSizeY)
// -----------------------------------------------------------------------------
{
	CRect rec;
	this->GetClientRect(&rec);
	int dX = iSizeX-rec.Width();
	int dY = iSizeY-rec.Height();
	
	this->GetWindowRect(&rec);
	this->SetWindowPos(0,0,0,rec.Width()+dX,rec.Height()+dY,SWP_NOMOVE|SWP_NOZORDER);
	
	m_dxs.SetWindowPos(0,0,0,iSizeX,iSizeY,SWP_NOZORDER);
}

// Calculate memory usage and send to dxstudio control
// -----------------------------------------------------------------------------
void Cdxs_MMOGDlg::UpdateMemoryStatistics(void)
// -----------------------------------------------------------------------------
{
	static int iCounter = 0;
	iCounter++;
	if (iCounter>20) { iCounter=0; return; } // only update every 20th frame
	
	PROCESS_MEMORY_COUNTERS pmc;
	if (GetProcessMemoryInfo(::GetCurrentProcess(), &pmc, sizeof(pmc)))
	{
        float fMemoryUsed = pmc.WorkingSetSize/1000.0f; // KByte

		char dummy[200]; // We going super safe here concerning buffer overruns
		_snprintf(dummy,200,"system.script.gl_MemoryUsage=%.1f;",fMemoryUsed);
		dummy[199]='\0';
		
		m_dxs.Send(dummy); 
	}
}
// -----------------------------------------------------------------------------
void Cdxs_MMOGDlg::OnClose()
// -----------------------------------------------------------------------------
{
	gl_NetWork.ExitNetwork();
	CDialog::OnClose();
}

// -----------------------------------------------------------------------------
void Cdxs_MMOGDlg::processNetworkMessage(BYTE* msg)
// -----------------------------------------------------------------------------
{
	OutputDebugString("in processNetworkMessage\r\n");
	network_message* pMsg = (network_message*) msg;
	if (pMsg->type==1)
	{
		CComPtr<IScene> scene;
		m_dxs.GetScene("scene_1",(LPDISPATCH*) &scene.p);
		CComPtr<IWorldObject> obj;
		scene.p->GetWorldObject("chesspiece_rook_white_1",&obj);

		obj.p->SetPosition(pMsg->vPos[0],pMsg->vPos[1],pMsg->vPos[2]);
	}
}
