#pragma once

// Mit Microsoft Visual C++ erstellte IDispatch-Wrapperklasse(n)

// HINWEIS: Der Inhalt dieser Datei darf nicht gendert werden. Wenn Sie Klasse von Microsoft Visual C++
// neu erstellt wird, werden Ihre nderungen berschrieben.

/////////////////////////////////////////////////////////////////////////////
// CDxstudioplayer1-Wrapperklasse

class CDxstudioplayer1 : public CWnd
{
protected:
	DECLARE_DYNCREATE(CDxstudioplayer1)
public:
	CLSID const& GetClsid()
	{
		static CLSID const clsid
			= { 0xAC2706C, 0x8623, 0x46F8, { 0x9E, 0xDD, 0x8F, 0x71, 0xA8, 0x97, 0xFD, 0xAE } };
		return clsid;
	}
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle,
						const RECT& rect, CWnd* pParentWnd, UINT nID, 
						CCreateContext* pContext = NULL)
	{ 
		return CreateControl(GetClsid(), lpszWindowName, dwStyle, rect, pParentWnd, nID); 
	}

    BOOL Create(LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, 
				UINT nID, CFile* pPersist = NULL, BOOL bStorage = FALSE,
				BSTR bstrLicKey = NULL)
	{ 
		return CreateControl(GetClsid(), lpszWindowName, dwStyle, rect, pParentWnd, nID,
		pPersist, bStorage, bstrLicKey); 
	}

// Attribute
public:


// Operationen
public:

// IDXStudioPlayer

// Functions
//

	CString get_src()
	{
		CString result;
		InvokeHelper(0x1, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_src(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x1, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL get_ManualCreateAndUpdate()
	{
		BOOL result;
		InvokeHelper(0x2, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_ManualCreateAndUpdate(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(0x2, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_Version()
	{
		CString result;
		InvokeHelper(0x3, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_Version(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x3, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL Send(LPCTSTR script)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x4, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, script);
		return result;
	}
	BOOL NetworkOnlyBegin()
	{
		BOOL result;
		InvokeHelper(0x5, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL NetworkGetScreenCapture(LPCTSTR remoteidentifier, VARIANT * imgdata)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PVARIANT ;
		InvokeHelper(0x6, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, remoteidentifier, imgdata);
		return result;
	}
	BOOL NetworkOnlyEnd()
	{
		BOOL result;
		InvokeHelper(0x7, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL UseExistingDevice(VARIANT pDevice)
	{
		BOOL result;
		static BYTE parms[] = VTS_VARIANT ;
		InvokeHelper(0x8, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, &pDevice);
		return result;
	}
	BOOL UseExistingWindow(VARIANT hWnd)
	{
		BOOL result;
		static BYTE parms[] = VTS_VARIANT ;
		InvokeHelper(0x9, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, &hWnd);
		return result;
	}
	BOOL ManualUpdate()
	{
		BOOL result;
		InvokeHelper(0xa, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL ManualRender()
	{
		BOOL result;
		InvokeHelper(0xb, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL ManualInit()
	{
		BOOL result;
		InvokeHelper(0xc, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL ManualResize()
	{
		BOOL result;
		InvokeHelper(0xd, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL ManualRestore()
	{
		BOOL result;
		InvokeHelper(0xe, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL ManualInvalidate()
	{
		BOOL result;
		InvokeHelper(0xf, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL GetScene(LPCTSTR scenename, LPDISPATCH * obj)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PDISPATCH ;
		InvokeHelper(0x10, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, scenename, obj);
		return result;
	}
	BOOL IsKeyDown(LPCTSTR keyname)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x11, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, keyname);
		return result;
	}
	BOOL DirectorScriptExecuteFunction(LPCTSTR functionname)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x12, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, functionname);
		return result;
	}
	BOOL DirectorScriptGetVariable(LPCTSTR variablename, BSTR * value)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PBSTR ;
		InvokeHelper(0x13, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, variablename, value);
		return result;
	}
	BOOL DirectorScriptSetVariable(LPCTSTR variablename, LPCTSTR value)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_BSTR ;
		InvokeHelper(0x14, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, variablename, value);
		return result;
	}
	BOOL GetPlayerTime(float * time)
	{
		BOOL result;
		static BYTE parms[] = VTS_PR4 ;
		InvokeHelper(0x15, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, time);
		return result;
	}
	BOOL NetworkSend(LPCTSTR script)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x16, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, script);
		return result;
	}
	BOOL ManualShutdown()
	{
		BOOL result;
		InvokeHelper(0x17, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL GetLayer(LPCTSTR layername, LPDISPATCH * obj)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PDISPATCH ;
		InvokeHelper(0x18, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, layername, obj);
		return result;
	}
	CString get_CacheDirectory()
	{
		CString result;
		InvokeHelper(0x19, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	BOOL GetPlayerContextMenu(LPDISPATCH * obj)
	{
		BOOL result;
		static BYTE parms[] = VTS_PDISPATCH ;
		InvokeHelper(0x1a, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, obj);
		return result;
	}
	CString get_NetworkGroupId()
	{
		CString result;
		InvokeHelper(0x1b, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_NetworkGroupId(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x1b, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_NetworkDocumentId()
	{
		CString result;
		InvokeHelper(0x1c, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_NetworkDocumentId(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x1c, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_NetworkInstanceId()
	{
		CString result;
		InvokeHelper(0x1d, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_NetworkInstanceId(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x1d, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL NetworkGetNetworkSet(LPCTSTR identifier, LPDISPATCH * obj)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PDISPATCH ;
		InvokeHelper(0x1e, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, identifier, obj);
		return result;
	}
	BOOL get_HideInactiveInfo()
	{
		BOOL result;
		InvokeHelper(0x1f, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	void put_HideInactiveInfo(BOOL newValue)
	{
		static BYTE parms[] = VTS_BOOL ;
		InvokeHelper(0x1f, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_Password()
	{
		CString result;
		InvokeHelper(0x20, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_Password(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x20, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL GetDevicePointer(unsigned long * device)
	{
		BOOL result;
		static BYTE parms[] = VTS_PUI4 ;
		InvokeHelper(0x21, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, device);
		return result;
	}
	BOOL RenderLock()
	{
		BOOL result;
		InvokeHelper(0x22, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL RenderUnlock()
	{
		BOOL result;
		InvokeHelper(0x23, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	CString get_CustomStreamBackgroundCol()
	{
		CString result;
		InvokeHelper(0x24, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_CustomStreamBackgroundCol(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x24, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	CString get_CustomStreamLogoURL()
	{
		CString result;
		InvokeHelper(0x25, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_CustomStreamLogoURL(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x25, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL GetD3DPointer(unsigned long * d3d)
	{
		BOOL result;
		static BYTE parms[] = VTS_PUI4 ;
		InvokeHelper(0x26, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, d3d);
		return result;
	}
	BOOL ManualUpdateSpecifyPeriod(float period)
	{
		BOOL result;
		static BYTE parms[] = VTS_R4 ;
		InvokeHelper(0x27, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, period);
		return result;
	}
	BOOL ManualUpdateSpecifyPeriodD(double period)
	{
		BOOL result;
		static BYTE parms[] = VTS_R8 ;
		InvokeHelper(0x28, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, period);
		return result;
	}
	BOOL GetPlayerTimeD(double * time)
	{
		BOOL result;
		static BYTE parms[] = VTS_PR8 ;
		InvokeHelper(0x29, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, time);
		return result;
	}
	BOOL GetPropertyAsString(LPCTSTR propertyname, BSTR * pVal)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PBSTR ;
		InvokeHelper(0x2a, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, propertyname, pVal);
		return result;
	}
	BOOL GetPropertyAsDouble(LPCTSTR propertyname, double * pVal)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PR8 ;
		InvokeHelper(0x2b, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, propertyname, pVal);
		return result;
	}
	BOOL GetPropertyAsInt(LPCTSTR propertyname, long * pVal)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PI4 ;
		InvokeHelper(0x2c, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, propertyname, pVal);
		return result;
	}
	BOOL GetPropertyAsBool(LPCTSTR propertyname, BOOL * pVal)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PBOOL ;
		InvokeHelper(0x2d, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, propertyname, pVal);
		return result;
	}
	BOOL DebugStepOver()
	{
		BOOL result;
		InvokeHelper(0x2e, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL DebugStepInto()
	{
		BOOL result;
		InvokeHelper(0x2f, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	BOOL DebugContinue()
	{
		BOOL result;
		InvokeHelper(0x30, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}
	CString get_DisplaySettings()
	{
		CString result;
		InvokeHelper(0x31, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
		return result;
	}
	void put_DisplaySettings(LPCTSTR newValue)
	{
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x31, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	BOOL SetPropertyAsString(LPCTSTR propertyname, LPCTSTR val)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_BSTR ;
		InvokeHelper(0x32, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, propertyname, val);
		return result;
	}
	BOOL SetPropertyAsDouble(LPCTSTR propertyname, double val)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_R8 ;
		InvokeHelper(0x33, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, propertyname, val);
		return result;
	}
	BOOL SetPropertyAsInt(LPCTSTR propertyname, long val)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_I4 ;
		InvokeHelper(0x34, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, propertyname, val);
		return result;
	}
	BOOL SetPropertyAsBool(LPCTSTR propertyname, BOOL val)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_BOOL ;
		InvokeHelper(0x35, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, propertyname, val);
		return result;
	}
	BOOL SetResourceData(LPCTSTR resourcename, VARIANT bytedata, unsigned long bytedatalength)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_VARIANT VTS_UI4 ;
		InvokeHelper(0x36, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, resourcename, &bytedata, bytedatalength);
		return result;
	}
	BOOL GetResourceInfo(LPCTSTR resourcename, unsigned long * bytedatalength, unsigned long * checksum)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PUI4 VTS_PUI4 ;
		InvokeHelper(0x37, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, resourcename, bytedatalength, checksum);
		return result;
	}
	BOOL GetResourceData(LPCTSTR resourcename, VARIANT * bytedata, unsigned long * bytedatalength)
	{
		BOOL result;
		static BYTE parms[] = VTS_BSTR VTS_PVARIANT VTS_PUI4 ;
		InvokeHelper(0x38, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms, resourcename, bytedata, bytedatalength);
		return result;
	}
	BOOL WaitForSendCompletion()
	{
		BOOL result;
		InvokeHelper(0x39, DISPATCH_METHOD, VT_BOOL, (void*)&result, NULL);
		return result;
	}

// Properties
//



};
